[arch-commits] Commit in nextcloud-app-spreed/repos/community-any (PKGBUILD PKGBUILD)

David Runge dvzrv at gemini.archlinux.org
Mon Feb 7 17:47:11 UTC 2022


    Date: Monday, February 7, 2022 @ 17:47:11
  Author: dvzrv
Revision: 1128460

archrelease: copy trunk to community-any

Added:
  nextcloud-app-spreed/repos/community-any/PKGBUILD
    (from rev 1128459, nextcloud-app-spreed/trunk/PKGBUILD)
Deleted:
  nextcloud-app-spreed/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   96 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 48 insertions(+), 48 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-02-07 17:46:57 UTC (rev 1128459)
+++ PKGBUILD	2022-02-07 17:47:11 UTC (rev 1128460)
@@ -1,48 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-
-_name=spreed
-pkgname=nextcloud-app-spreed
-pkgver=13.0.2
-pkgrel=1
-epoch=1
-pkgdesc="Video & audio-conferencing using WebRTC"
-arch=(any)
-url="https://apps.nextcloud.com/apps/spreed"
-license=(AGPL3)
-groups=(nextcloud-apps)
-makedepends=(nextcloud)
-checkdepends=(ripgrep yq)
-source=("https://github.com/nextcloud-releases/${_name}/releases/download/v${pkgver}/${_name}-v${pkgver}.tar.gz")
-sha512sums=('a682e011d467f79d55768811b997805d3b61f5bc0852a2d792ec487c49552fdf5330b2abad048d7d70745ef390d389f91640c86a7c514aa160d17ac5d3182a63')
-b2sums=('2b284102b4a504dc5fe47d35fa86b95687de6cd3936e9a1852ddd28aa18daf60d662f285894d214b64b4bc366315175ab20bcf126b7dbd649bbc203bd09c6d82')
-
-_get_nextcloud_versions() {
-  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
-  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
-  _app_max_major_version=$(expr ${_app_max_major_version} + 1)
-}
-
-prepare() {
-  find ${_name} -type f -exec chmod 644 {} +
-  find ${_name} -type d -exec chmod 755 {} +
-}
-
-check() {
-  local _app_min_major_version
-  local _app_max_major_version
-  _get_nextcloud_versions
-  local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
-
-  if (("$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")"<0)) || (("$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")">0)) ; then
-    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
-    exit 1
-  fi
-}
-
-package() {
-  _get_nextcloud_versions
-  depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
-
-  install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps/"
-  cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
-}

Copied: nextcloud-app-spreed/repos/community-any/PKGBUILD (from rev 1128459, nextcloud-app-spreed/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-02-07 17:47:11 UTC (rev 1128460)
@@ -0,0 +1,48 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+_name=spreed
+pkgname=nextcloud-app-spreed
+pkgver=13.0.3
+pkgrel=1
+epoch=1
+pkgdesc="Video & audio-conferencing using WebRTC"
+arch=(any)
+url="https://apps.nextcloud.com/apps/spreed"
+license=(AGPL3)
+groups=(nextcloud-apps)
+makedepends=(nextcloud)
+checkdepends=(ripgrep yq)
+source=("https://github.com/nextcloud-releases/${_name}/releases/download/v${pkgver}/${_name}-v${pkgver}.tar.gz")
+sha512sums=('4cc580ed2968f38632cbbc230218261a65225b6a6c04dda1d436665cacbfe2b9fa653f254e258c163966705e37e52b9a8457cc487ce10624f1c3e89eb5ad3246')
+b2sums=('8e79da9567b82ef202240ee6d50bec202ae0729a7cc01164485925b68cf3a71ea4541c238f77da4f299c54618c683a4d425a1769e0db84c75b66d59d97f2354f')
+
+_get_nextcloud_versions() {
+  _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  _app_max_major_version=$(expr ${_app_max_major_version} + 1)
+}
+
+prepare() {
+  find ${_name} -type f -exec chmod 644 {} +
+  find ${_name} -type d -exec chmod 755 {} +
+}
+
+check() {
+  local _app_min_major_version
+  local _app_max_major_version
+  _get_nextcloud_versions
+  local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+
+  if (("$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")"<0)) || (("$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")">0)) ; then
+    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+    exit 1
+  fi
+}
+
+package() {
+  _get_nextcloud_versions
+  depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
+
+  install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+  cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+}



More information about the arch-commits mailing list